Skip to main content
GET
/
v1
/
channel
Status
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/channel \
  --header 'Authorization: Bearer <token>'
{
  "isActive": true,
  "channel": {
    "currency": "EUR",
    "marketplaceList": [
      "DE"
    ],
    "displayName": "MyBestDeals.com",
    "website": "https://mybestdeals.de/sell-with-jtl",
    "supportContact": "support@mybestdeals.de",
    "vendor": "JTL-Software",
    "signUpUrl": "https://mysqlbestdeals.com/signup-for-scx?session={SESSION}",
    "featureList": {
      "invoiceDocumentTransfer": "not-supported",
      "priceUpdatesSupported": false,
      "quantityPriceSupported": false,
      "remainingQuanitySupported": false,
      "variationsSupported": false,
      "returnTrackingRequired": false,
      "allowCombineOrders": false,
      "stockUpdateWithoutEventSupported": false
    },
    "isPlatform": false,
    "visibility": "JTL",
    "channel": "MYBESTDEALCOMDE",
    "group": "MyBestDeals",
    "supportedLanguages": [
      "de"
    ],
    "pricing": "https://mybestdeals.de/sell-with-jtl#pricing",
    "channelType": "MARKETPLACE",
    "updateUrl": "https://mysqlbestdeals.com/signup-for-scx?session={SESSION}",
    "logo": "https://mysqlbestdeals.com/logo.svg",
    "description": "MyBestDeals is the marketplace where customers find the best deals in the world.",
    "appId": "mybestdeals",
    "minimumClientsVersionRequired": [
      {
        "type": "Wawi",
        "version": "1.11.0.3"
      }
    ],
    "platform": "AMAZON",
    "marketplaceChannelList": [
      "JTL Marketplace FR",
      "JTL Marketplace DE",
      "JTL Marketplace GB"
    ],
    "stockSyncGroup": "AMAZON-EU"
  }
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Response

Channel status retrieved

Operational status of the channel including whether it is currently active and its master data.

isActive
boolean
Example:

true

channel
object